Bug 187523 - kernel panic when using smbfs and timeout/lost connection occurs
kernel panic when using smbfs and timeout/lost connection occurs
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Layton
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-31 11:57 EST by Robert Hare
Modified: 2008-01-15 06:35 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 06:35:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
messages file showing errors and panic (8.99 KB, text/plain)
2006-03-31 11:57 EST, Robert Hare
no flags Details

  None (edit)
Description Robert Hare 2006-03-31 11:57:40 EST
Kernel panic when accessing SMBFS (windows server) mounted on linux box
RHEL4 all patches applied


How reproducible:
Frequently on large windows filesystem.

Steps to Reproduce:
1. Mount filesystem
2. Perform large action like du -s on filesystem
3. Panic
  
Actual results:
Panic

Expected results:
No panic

Additional info:
Seems to be related to timeouts or lost connections.
Comment 1 Robert Hare 2006-03-31 11:57:40 EST
Created attachment 127134 [details]
messages file showing errors and panic
Comment 2 Robert Hare 2006-04-28 13:24:32 EDT
I have now duplicated the problem on another RH EL 4 box, so the problem is not 
specific to one machine.
Comment 3 Jeff Layton 2007-07-19 10:31:42 EDT
A couple of different smbfs memory corruption patches are being committed for
4.6.  It's possible that this problem is also fixed there. If you're able to
reproduce this someplace non-critical, then testing the kernels on my people
page would be helpful:

http://people.redhat.com/jlayton
Comment 4 Jeff Layton 2008-01-15 06:35:46 EST
No response in several months. Closing bug with resolution of INSUFFICIENT_DATA,
please reopen if you're still having this issue (though the best solution is
probably to go ahead and move to CIFS).

Note You need to log in before you can comment on or make changes to this bug.